%define topdir %(pwd)/rpmbuild
%define _topdir %{topdir} 
Summary: glite-yaim-core
Name: glite-yaim-core
Version: 
Vendor: EGEE
Release:
License: EGEE
Group: EGEE
Source: %{name}.src.tgz
BuildArch: noarch
Prefix: /opt/glite
Obsoletes: glite-yaim
Requires: uberftp
Provides: glite-yaim
Obsoletes: lcg-yaim
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Packager: EGEE

%description
This package contains the yaim functions to configuration a core.

%prep

%setup -c

%build
make install prefix=%{buildroot}%{prefix}

%files
%defattr(-,root,root)
%dir %{prefix}/yaim/functions
%dir %{prefix}/yaim/node-info.d
%dir %{prefix}/yaim/log
%{prefix}/yaim/bin/yaim
%{prefix}/yaim/functions/
%{prefix}/share/man/man1/yaim.1
%{prefix}/yaim/defaults/node-info.def
%{prefix}/yaim/defaults/site-info.post
%{prefix}/yaim/defaults/site-info.pre
%{prefix}/yaim/defaults/mapping
%{prefix}/yaim/etc/grid-env-funcs.sh
%{prefix}/yaim/etc/clean-grid-env-funcs.sh
%{prefix}/yaim/etc/grid-env.csh
%{prefix}/yaim/etc/grid-clean-env.csh
%{prefix}/yaim/examples/groups.conf
%{prefix}/yaim/examples/groups.conf.README
%{prefix}/yaim/examples/siteinfo/site-info.def
%{prefix}/yaim/examples/users.conf
%{prefix}/yaim/examples/users.conf.README
%{prefix}/yaim/examples/wn-list.conf
%{prefix}/yaim/examples/wn-list.conf.README
%{prefix}/yaim/examples/edgusers.conf
%{prefix}/yaim/libexec/ClassAd.py
%{prefix}/yaim/libexec/ClassAdsHelper.py
%{prefix}/yaim/libexec/XMLHelper.py
%{prefix}/yaim/libexec/YAIM2gLiteConvertor.py
%{prefix}/yaim/libexec/configure_node
%{prefix}/yaim/libexec/gLite.def
%{prefix}/yaim/libexec/gLiteContainers.xml
%{prefix}/yaim/libexec/install_node
%{prefix}/yaim/libexec/parse_bash_params
%{prefix}/yaim/libexec/run_function
%{prefix}/yaim/libexec/xmlUtils.py
%{prefix}/yaim/etc/versions/%{name}


%clean
rm -rf %{buildroot}

